disp('test002: Should return an empty model if all input lists are empty');
protimages = {};
dnaimages = {};
cellimages = {};
masks = {};
param.train.flag = 'all';
model = ml_traingenmodel(protimages, dnaimages, cellimages, masks, param);
assert(isempty(model) || model == 0);

disp('Test passed.');